## These are routes that serve rendered HTML for ingestion.
ufc.recent_fights:
  path: '/api/v1/recent-fights'
  defaults:
    _controller: '\Drupal\ufc\Controller\RecentFightsController::getRecentFights'
    _title: 'Recent Fights Endpoint'
  requirements:
    _permission: 'access content'
ufc.fighters_for_dcjs:
  path: '/dcjs/all-fighters'
  defaults:
    _controller: '\Drupal\ufc\Controller\DcjsRouteController::allFightersForDcjs'
    _title: "All Fighters Generated by DCJS"
  requirements:
    _permission: 'access content'
ufc.dcjs_fighter:
  path: '/dcjs/fighter/{fighter_node}'
  defaults:
    _controller: '\Drupal\ufc\Controller\DcjsRouteController::fighterForDcjs'
    _title: "Fighter Rendered by DCJS"
  requirements:
    _permission: 'access content'
  options:
    parameters:
      fighter_node:
        type: entity:node

# AI PREDICTOR ROUTES
ufc.fight_training_data:
  path: '/api/v1/training-data'
  defaults:
    _controller: '\Drupal\ufc\Controller\FightTrainingController::generateTrainingData'
    _title: "Training Data Generator"
  requirements:
    _permission: 'access content'
ufc.fight_data:
  path: '/api/v1/fight-data/{fight}'
  defaults:
    _controller: '\Drupal\ufc\Controller\FightTrainingController::getFightData'
    _title: "Get Fight Data"
  requirements:
    _permission: 'access content'
  options:
    parameters:
      fight:
        type: entity:node
ufc.network:
  path: '/api/v1/network'
  defaults:
    _controller: '\Drupal\ufc\Controller\FightTrainingController::getNeuralNetwork'
    _title: 'Get Neural network'
  requirements:
    _permission: 'access content'
